<?xml version='1.0' encoding='UTF-8' ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- Author: Steve Levoe 

MSL PDS detached label version May 2011 _ Steve Levoe -->
<xsl:output method="xml" indent="yes" encoding="utf-8"/>

    <xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="PDS_LABEL">
	  <PDS_LABEL>
	   <xsl:apply-templates/>
	 </PDS_LABEL>
	</xsl:template>

 <xsl:template match="GROUP">
 
	<xsl:element name="GROUP">
	
    <xsl:choose>  
	
	<!--  new PDS archive version names translated from the vicar name -->
	
	    <xsl:when test="@name='ROVER_COORDINATE_SYSTEM'">
		  <xsl:attribute name="name">ROVER_COORD_SYSTEM_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='RSM_COORDINATE_SYSTEM'">		
		  <xsl:attribute name="name">RSM_COORD_SYSTEM_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='LOCAL_LEVEL_COORDINATE_SYSTEM'">
		  <xsl:attribute name="name">LOCAL_LEVEL_COORD_SYSTEM_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='CHASSIS_ARTICULATION_STATE'">
		  <xsl:attribute name="name">CHASSIS_ARTICULATION_ST_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='SITE_COORDINATE_SYSTEM'">
		  <xsl:attribute name="name">SITE_COORD_SYSTEM_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='GEOMETRIC_CAMERA_MODEL'">
		  <xsl:attribute name="name">GEOMETRIC_CAMERA_MODEL_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='ARM_COORDINATE_SYSTEM'">
		  <xsl:attribute name="name">ARM_COORD_SYSTEM_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='HGA_ARTICULATION_STATE'">
		  <xsl:attribute name="name">HGA_ARTICULATION_STATE_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='RSM_ARTICULATION_STATE'">
		  <xsl:attribute name="name">RSM_ARTICULATION_STATE_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
			
		<xsl:when test="@name='ARM_ARTICULATION_STATE'">
		  <xsl:attribute name="name">ARM_ARTICULATION_STATE_PARMS</xsl:attribute>
		  <xsl:apply-templates/>
		</xsl:when>
		
	<!--  end of ODL to PDS GROUP name translation -->

	
		<xsl:otherwise>
			<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>  
		    <xsl:apply-templates/>
		</xsl:otherwise>
	 
	
	</xsl:choose>
	</xsl:element>
</xsl:template>
	
 <!--  match for not group -->
 
<xsl:template match="item"> 

<xsl:if test="count(subitem)>0">

<xsl:element name="item">
<xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>
<xsl:attribute name="quoted"><xsl:value-of select="@quoted"/></xsl:attribute>  

	<xsl:if test="boolean(@units)">
        <xsl:attribute name="units"><xsl:value-of select="@units"/></xsl:attribute>  
	</xsl:if>
    
     <!--  
    <xsl:apply-templates select="@quoted"/>   
    <xsl:apply-templates select="@units"/>
    <xsl:value-of select="."/>
    -->
    
	<xsl:apply-templates/>	
</xsl:element>
</xsl:if>

<xsl:if test="count(subitem)=0">
 	
   <xsl:element name="item">
    <xsl:choose>
    
        <!-- comment - add filters to change the names of all the keywords which must be modified for MSL -->

<!-- open msl_keywordsV1.1.txt --> 
	<xsl:when test="@key='ACTIVE_FLIGHT_STRING_ID'"> 
		<xsl:attribute name="key">MSL:ACTIVE_FLIGHT_STRING_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='AUTO_DELETE_FLAG'"> 
		<xsl:attribute name="key">MSL:AUTO_DELETE_FLAG</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='BIAS_COEFFS_FILE_NAME'"> 
		<xsl:attribute name="key">MSL:BIAS_COEFFS_FILE_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='BIAS_COEFFS_FILE_DESC'"> 
		<xsl:attribute name="key">MSL:BIAS_COEFFS_FILE_DESC</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='BRIGHTNESS_CORRECTION_FILE'"> 
		<xsl:attribute name="key">MSL:BRIGHTNESS_CORRECTION_FILE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='BRIGHTNESS_CORRECTION_TYPE'"> 
		<xsl:attribute name="key">MSL:BRIGHTNESS_CORRECTION_TYPE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='CAMERA_ROTATION_AXIS_VECTOR'"> 
		<xsl:attribute name="key">MSL:CAMERA_ROTATION_AXIS_VECTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='COMMUNICATION_SESSION_ID'"> 
		<xsl:attribute name="key">MSL:COMMUNICATION_SESSION_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='CONFIGURATION_BIT_ID'"> 
		<xsl:attribute name="key">MSL:CONFIGURATION_BIT_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='DARK_SPECTRA_MODE'"> 
		<xsl:attribute name="key">MSL:DARK_SPECTRA_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='EXPECTED_TRANSMISSION_PATH'"> 
		<xsl:attribute name="key">MSL:EXPECTED_TRANSMISSION_PATH</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='FLIGHT_SOFTWARE_MODE'"> 
		<xsl:attribute name="key">MSL:FLIGHT_SOFTWARE_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='ICT_DIVIDER'"> 
		<xsl:attribute name="key">MSL:ICT_DIVIDER</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='IPBC_DIVIDER'"> 
		<xsl:attribute name="key">MSL:IPBC_DIVIDER</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='IMAGE_ACQUIRE_MODE'"> 
		<xsl:attribute name="key">MSL:IMAGE_ACQUIRE_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='IMAGE_RADIANCE_FACTOR'"> 
		<xsl:attribute name="key">MSL:IMAGE_RADIANCE_FACTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='IMAGE_RADIANCE_OFFSET'"> 
		<xsl:attribute name="key">MSL:IMAGE_RADIANCE_OFFSET</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INPUT_PRODUCT_ID'"> 
		<xsl:attribute name="key">MSL:INPUT_PRODUCT_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_COORD_FRAME_ID'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_COORD_FRAME_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_COORD_FRAME_INDEX'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_COORD_FRAME_INDEX</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_DISTANCE'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_DISTANCE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_INIT_FLAG'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_INIT_FLAG</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_MODE'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_POSITION_CNT'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_POSITION_CNT</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_STEP_SIZE'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_STEP_SIZE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_FOCUS_STEPS'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_FOCUS_STEPS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INSTRUMENT_TEMPERATURE_STATUS'"> 
		<xsl:attribute name="key">MSL:INSTRUMENT_TEMPERATURE_STATUS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='INVERSE_LUT_FILE_NAME'"> 
		<xsl:attribute name="key">MSL:INVERSE_LUT_FILE_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='LASER_MODE'"> 
		<xsl:attribute name="key">MSL:LASER_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='LINEARIZATION_MODE'"> 
		<xsl:attribute name="key">MSL:LINEARIZATION_MODE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='MAXIMUM_ELEVATION'"> 
		<xsl:attribute name="key">MSL:MAXIMUM_ELEVATION</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='MINIMUM_ELEVATION'"> 
		<xsl:attribute name="key">MSL:MINIMUM_ELEVATION</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='N_SHOTS'"> 
		<xsl:attribute name="key">MSL:N_SHOTS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='N_SHOTS_S_AVG'"> 
		<xsl:attribute name="key">MSL:N_SHOTS_A_AVG</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='N_SHOTS_2_IGNORE'"> 
		<xsl:attribute name="key">MSL:N_SHOTS_2_IGNORE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='NUM_SOFTWARE_KEYWORDS'"> 
		<xsl:attribute name="key">MSL:NUM_SOFTWARE_KEYWORDS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='NUM_SOFTWARE_PARAMETERS'"> 
		<xsl:attribute name="key">MSL:NUM_SOFTWARE_PARAMETERS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='OBS_FROM_LIMIT_SWITCH'"> 
		<xsl:attribute name="key">MSL:OBS_FROM_LIMIT_SWITCH</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='POINTING_CORRECTION_FILE_NAME'"> 
		<xsl:attribute name="key">MSL:POINTING_CORRECTION_FILE_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='POINTING_MODEL_NAME'"> 
		<xsl:attribute name="key">MSL:POINTING_MODEL_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='POINTING_MODEL_PARAMS'"> 
		<xsl:attribute name="key">MSL:POINTING_MODEL_PARAMS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='POINTING_MODEL_PARAMS_NAME'"> 
		<xsl:attribute name="key">MSL:POINTING_MODEL_PARAMS_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PRODUCT_COMPLETION_STATUS'"> 
		<xsl:attribute name="key">MSL:PRODUCT_COMPLETION_STATUS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PRODUCT_TAG'"> 
		<xsl:attribute name="key">MSL:PRODUCT_TAG</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PROJECTION_AXIS_OFFSET'"> 
		<xsl:attribute name="key">MSL:PROJECTION_AXIS_OFFSET</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PROJECTION_X_AXIS_VECTOR'"> 
		<xsl:attribute name="key">MSL:PROJECTION_X_AXIS_VECTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PROJECTION_Y_AXIS_VECTOR'"> 
		<xsl:attribute name="key">MSL:PROJECTION_Y_AXIS_VECTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='PROJECTION_Z_AXIS_VECTOR'"> 
		<xsl:attribute name="key">MSL:PROJECTION_Z_AXIS_VECTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='RANGE_ORIGIN_VECTOR'"> 
		<xsl:attribute name="key">MSL:RANGE_ORIGIN_VECTOR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='REFERENCE_COORD_SYSTEM_SOLN_ID'"> 
		<xsl:attribute name="key">MSL:REFERENCE_COORD_SYSTEM_SOLN_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='REFERENCE_PIXEL_IMAGE_ID'"> 
		<xsl:attribute name="key">MSL:REFERENCE_PIXEL_IMAGE_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='REQUEST_ID'"> 
		<xsl:attribute name="key">MSL:REQUEST_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='RESPONSIVITY_CONSTANTS'"> 
		<xsl:attribute name="key">MSL:RESPONSIVITY_CONSTANTS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='RESPONSIVITY_CONSTANTS_FILE'"> 
		<xsl:attribute name="key">MSL:RESPONSIVITY_CONSTANTS_FILE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SEQUENCE_EXECUTION_COUNT'"> 
		<xsl:attribute name="key">MSL:SEQUENCE_EXECUTION_COUNT</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_KEYWORD_NAME'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_KEYWORD_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_KEYWORD_TYPE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_KEYWORD_TYPE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_KEYWORD_VALUE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_KEYWORD_VALUE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_LANGUAGE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_LANGUAGE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_MODULE_NAME'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_MODULE_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_MODULE_TYPE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_MODULE_TYPE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_PARAMETER_NAME'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_PARAMETER_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_PARAMETER_TYPE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_PARAMETER_TYPE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOFTWARE_PARAMETER_VALUE'"> 
		<xsl:attribute name="key">MSL:SOFTWARE_PARAMETER_VALUE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOLUTION_ID'"> 
		<xsl:attribute name="key">MSL:SOLUTION_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SOURCE_PRODUCT_WAVELENGTH'"> 
		<xsl:attribute name="key">MSL:SOURCE_PRODUCT_WAVELENGTH</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPEC_AD_CONVERTUV'"> 
		<xsl:attribute name="key">MSL:SPEC_AD_CONVERTUV</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPEC_AD_CONVERTVIS'"> 
		<xsl:attribute name="key">MSL:SPEC_AD_CONVERTVIS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPEC_AD_CONVERTVNIR'"> 
		<xsl:attribute name="key">MSL:SPEC_AD_CONVERTVNIR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPEC_VERT_CLK'"> 
		<xsl:attribute name="key">MSL:SPEC_VERT_CLK</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPECTROMETER_CONTROL_BYTE'"> 
		<xsl:attribute name="key">MSL:SPECTROMETER_CONTROL_BYTE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPECTROMETER_SELECT'"> 
		<xsl:attribute name="key">MSL:SPECTROMETER_SELECT</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SPECTROMETER_SERIAL_CLOCK'"> 
		<xsl:attribute name="key">MSL:SPECTROMETER_SERIAL_CLOCK</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STACK_1_LEVEL'"> 
		<xsl:attribute name="key">MSL:STACK_1_LEVEL</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STACK_2_LEVEL'"> 
		<xsl:attribute name="key">MSL:STACK_2_LEVEL</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STACK_3_LEVEL'"> 
		<xsl:attribute name="key">MSL:STACK_3_LEVEL</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STACK_DURATION'"> 
		<xsl:attribute name="key">MSL:STACK_DURATION</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='START_IMAGE_ID'"> 
		<xsl:attribute name="key">MSL:START_IMAGE_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='START_ROW_UV'"> 
		<xsl:attribute name="key">MSL:START_ROW_UV</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STOP_ROW_UV'"> 
		<xsl:attribute name="key">MSL:STOP_ROW_UV</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='START_ROW_VIS'"> 
		<xsl:attribute name="key">MSL:START_ROW_VIS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STOP_ROW_VIS'"> 
		<xsl:attribute name="key">MSL:STOP_ROW_VIS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='START_ROW_VNIR'"> 
		<xsl:attribute name="key">MSL:START_ROW_VNIR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STOP_ROW_VNIR'"> 
		<xsl:attribute name="key">MSL:STOP_ROW_VNIR</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STEREO_PRODUCT_ID'"> 
		<xsl:attribute name="key">MSL:STEREO_PRODUCT_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STRIPING_COUNT'"> 
		<xsl:attribute name="key">MSL:STRIPING_COUNT</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='STRIPING_OVERLAP_ROWS'"> 
		<xsl:attribute name="key">MSL:STRIPING_OVERLAP_ROWS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='SURFACE_MODEL_FILE_NAME'"> 
		<xsl:attribute name="key">MSL:SURFACE_MODEL_FILE_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_CHECKSUM'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_CHECKSUM</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_HOST_NAME'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_HOST_NAME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_SCLK_START'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_SCLK_START</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_SIZE'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_SIZE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_START_TIME'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_START_TIME</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TELEMETRY_SOURCE_TYPE'"> 
		<xsl:attribute name="key">MSL:TELEMETRY_SOURCE_TYPE</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TIME_BETWEEN_SHOTS'"> 
		<xsl:attribute name="key">MSL:TIME_BETWEEN_SHOTS</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='TRANSMISSION_PATH'"> 
		<xsl:attribute name="key">MSL:TRANSMISSION_PATH</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='VALID_MAXIMUM_PIXEL'"> 
		<xsl:attribute name="key">MSL:VALID_MAXIMUM_PIXEL</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='VALID_MINIMUM_PIXEL'"> 
		<xsl:attribute name="key">MSL:VALID_MINIMUM_PIXEL</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='VIRTUAL_CHANNEL_ID'"> 
		<xsl:attribute name="key">MSL:VIRTUAL_CHANNEL_ID</xsl:attribute> 
	</xsl:when> 

	<xsl:when test="@key='ZERO_EXPOSURE_IMAGE_ID'"> 
		<xsl:attribute name="key">MSL:ZERO_EXPOSURE_IMAGE_ID</xsl:attribute> 
	</xsl:when> 


   		       
        <!-- comment END of filters to change the names of all the keywords which must be modified for MSL -->
             
        <xsl:otherwise>      
        <xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>                      
        </xsl:otherwise>
       
    </xsl:choose>
    
    
    
    <!--  add units and quoted if they exist -->
    <xsl:attribute name="quoted"><xsl:value-of select="@quoted"/></xsl:attribute>  
    <!--  
    <xsl:if test="boolean(@units)">
        <xsl:attribute name="units-itemNoSubitems"><xsl:value-of select="@units"/></xsl:attribute>  
	</xsl:if>
	-->
	<xsl:if test="normalize-space(@units)">
        <xsl:attribute name="units"><xsl:value-of select="@units"/></xsl:attribute>  
	</xsl:if>
	
     <!--  
    <xsl:apply-templates select="@quoted"/>   
    <xsl:apply-templates select="@units"/>
    -->
    <xsl:value-of select="."/>
   </xsl:element>
   
    </xsl:if>
 
</xsl:template>  

<!--  
<xsl:template match="COMMENT">
<xsl:copy><xsl:value-of select="."/></xsl:copy>
</xsl:template>
-->

<xsl:template match="OBJECT">
<xsl:element name="OBJECT">
 	<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>  
	<xsl:apply-templates/>	
	</xsl:element>
</xsl:template>

<xsl:template match="COMMENT">
<COMMENT><xsl:value-of select="."/></COMMENT>
</xsl:template>

<xsl:template match="ODL3">
 <xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
</xsl:template>

<xsl:template match="PDS3">
<xsl:copy><xsl:apply-templates select="@*|node()"/></xsl:copy>
</xsl:template>

<!--  copy key and units -->
<xsl:template match="key">
<xsl:attribute name="key222"><xsl:value-of select="@key"/></xsl:attribute>
</xsl:template>

<xsl:template match="quoted">
<xsl:attribute name="quoted222"><xsl:value-of select="@quoted"/></xsl:attribute>
</xsl:template>

<xsl:template match="units">
<xsl:attribute name="units222"><xsl:value-of select="@units"/></xsl:attribute>
</xsl:template>


<!--  prbably need units and quoted added too -->
<xsl:template match="subitem">
	<xsl:element name="subitem">
	<xsl:attribute name="key"><xsl:value-of select="@key"/></xsl:attribute>  
	<xsl:attribute name="quoted"><xsl:value-of select="@quoted"/></xsl:attribute>  
	
	 <xsl:if test="boolean(@units)">    
        	<xsl:attribute name="units"><xsl:value-of select="@units"/></xsl:attribute>      
     </xsl:if>
     
     <!--  
      <xsl:if test="normalize-space(@units)">    
        	<xsl:attribute name="units5"><xsl:value-of select="@units"/></xsl:attribute>      
     </xsl:if>
	-->
	<xsl:value-of select="."/>
	</xsl:element>
</xsl:template>

</xsl:stylesheet>


